Subject: [alpine-aports] [PATCH] testing/ktsuss: new aport

From: Stuart Cardall <[email-masked]>
Date: Mon, 20 Apr 2015 11:23:06 +0000

lightweight alternative to gksu for use with spacefm
---
 testing/ktsuss/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/ktsuss/APKBUILD

diff --git a/testing/ktsuss/APKBUILD b/testing/ktsuss/APKBUILD
new file mode 100644
index 0000000..899e8db
--- /dev/null
+++ b/testing/ktsuss/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=ktsuss
+pkgver=2.1
+pkgrel=0
+pkgdesc="Graphical version of su written in C and GTK+ (gksu alternative)"
+url="https://github.com/nomius/ktsuss"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev gtk+2.0-dev bash libtool m4 autoconf automake"
+install=""
+subpackages="$pkgname-doc"
+source="saveas-https://github.com/nomius/$pkgname/archive/$pkgver.tar.gz/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh
+	./configure --prefix=/usr
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install
+	install -D -m644 COPYING "${pkgdir}/usr/share/doc/${pkgname}/COPYING"
+}
+
+md5sums="812ef25c189af1998b66a5403a12fff9  ktsuss-2.1.tar.gz"
+sha256sums="f65f5083e61abc12f5b546ef43efdc8ef55cd8c7fbee27cedc0f42ff329b34ac  ktsuss-2.1.tar.gz"
+sha512sums="980c184947ebac91f936cad9cd74050e42e57da39f13cca3b9ec0ec44a16265243a1e6f570a2027435234084c1e15ce28b3dc6389d7831237c762b1aafb99507  ktsuss-2.1.tar.gz"
-- 
2.3.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---